User guide of the Printer Utilit

User Guide of the Printer Utility

Introduction and functions of the Printer Utility:

Introduction of the Printer Utility

Function list of the Printer Utility

Port Set

Logo Print

Sample Print

Status Monitor

Firmware Download

User Command

Character Print

Eeprom Set

NetWinConfig


Introduction

1 . Introduction

This tool is used to show all the function and print effect of the printer. Please read the guide carefully before use the software.

2 . Operating system

32bit OS:

  • Windows 7
  • Windows Server 2008
  • Windows Vista
  • Windows Server 2003
  • Windows XP
  • Windows 2000

64bit OS:

  • Windows 7 x64
  • Windows Server 2008 x64
  • Windows Vista x64
  • Windows Server 2003 x64
  • Windows XP x64

3 . Printer

  • BTP-2001CP
  • BTP-2002CP
  • BTP-2002NP
  • BTP-R880NP
  • BTP-98NP
  • BTP-M170
  • BTP-M270
  • BTP-M180
  • BTP-M280
  • BTP-M2000G
  • BTP-R350
  • BTP-N58
  • BTP-R358
  • BTP-R380
  • BTP-R580
  • BTP-L580

4. Port

  • Serial
  • Parallel
  • USB
  • Ethernet
  • WIFI
  • Driver

5. Release information

Version: V1.40

Release date: 2010-12-16

Changes :

  • Add the function of Status Monitor.
  • Support 64bit system.

Version: V1.39

Release date: 2010-10-21

Changes :

  • Upgrade the function of Eeprom Set for BTP-R880NP.
  • Upgrade the function of user command.

Version : V1.38

Release date : 2010-08-19

Changes :

  • Add printer BTP-N58.
  • Add the function of user command.
  • Add the function of downloading gray logo for BTP-R880NP.

Version : V1.37

Release date : 2010-06-12

Changes :

  • Add printer BTP-R880NP.

Version : V1.36

Release date : 2010-01-15

Changes :

  • Add the function of user-defined font for BTP-R580.

Version : V1.35

Release date : 2009-10-28

Changes :

  • Add printer BTP-L580.
  • Change the default printer to BTP-2002NP.
  • Add EEPROM section of watermark for BTP-R380 and BTP-98NP.
  • Add EEPROM section of RightSideUp for BTP-98NP.
  • Resolve the problem of the RightSideUp function for BTP-R580.
  • Upgrade the edition of BYNetWinConfig to V3.03.
  • Resolve the problem of codepage and user-defined font.

Version : V1.34

Release date : 2009-04-23

Changes :

  • Add printer BTP-M2000G. Support Samples printing and file download.

Version : V1.33

Release date : 2009-01-23

Changes :

  • Change printer name 'BTP-R180' to 'BTP-98NP'.

Version : V1.32

Release date : 2009-01-08

Changes :

  • Add the function of printing the Water Mark sample.
  • Add the NetWinConfig programe in the Utility.
  • Add the User-defined font edit and download function for the BTP-2002NP.
  • The function of CodePage supprot the NibblePAR LPT.
  • Resolve the problem of printing the sample of BTP-M280.

Version : V1.31

Release date : 2008-08-26

Changes :

  • Change printer name 'BTP-2002CPII' to 'BTP-2002CP'.
  • Change logo print size name.
  • Add Windows Vista OS support.

Version : V1.30

Release date : 2008-07-24

Changes :

  • Add printer BTP-R180.
  • Add printer BTP-M280 Eeprom set support.
  • Add ethernet codepage support.

Version : V1.29

Release date : 2008-05-06

Changes :

  • Resolve the problem of downloading Logo with the baud rate 115200.

Version : V1.28

Release date : 2008-3-28

Changes :

  • Cancel Logo size download limited.

Version : V1.27

Release date : 2008-1-28

Changes :

  • Add printer BTP-M180.

Version : V1.26

Release date : 2007-12-17

Changes :

  • Add Eeprom set function.

Version : V1.25

Release date : 2007-09-06

Changes :

  • Add sample to print PDF417 for BTP-R580
  • change the size of BTP-R580's ram to 12K, change the size of BTP-R580's flash to 256K

Version : V1.24

Release date : 2007-07-19

Changes :

  • Add printer BTP-M280

Version : V1.231

Release date : 2007-08-08

Changes :

  • Correct document.

Version : V1.23

Release date : 2007-05-31

Changes :

  • Change the warning information when the bitmap that is opening is not allowed.

Version : V1.22

Release date : 2007-01-18

Changes :

  • Add function to support driver;
  • Change the skin and the interface of the Printer Utility;
  • Optimize the function of code page edit;
  • Amend the frame of the software in order to add or remove printers by read INI file.

Version : V1.21

Release date : 2006-09-01

Changes :

  • Change interface of the Printer Utility,such as image ,control position and so on.

Version : V1.20

Release date:2006-07-25

Changes :

  • Increase support to Ethernet port and BTP-R358 printer;
  • Changes as follows: Limit to total size and numbers of download files;
  • Filtrate bitmap file name which include Chinese character;
  • Change method of storage bitmap data from statically store data to dynamically store data based on the size of bitmap.

Version : V1.0

Release date : 2006-04-10

Changes :

  • First release of the Printer Utility.


Port Setting

Port Set

Port set is precondition for using this Printer Utility to operate the printer. Only after the software is connected to the printer rightly, users can do other operations. This operation include four steps as follows: Open port set page; select printer; configure port parameter; click " OK " button to connect to the printer.

Note: In Windows Vista and Windows 7, if UAC (User Account Control) is turned on, you may have to start this application by 'Run as administrator' so that all functions will performance correctly (shown as below).

Step 1 : Enter the main page

Execute Utility.exe and then enter the main page (shown as below)

Notices :because you have not connected to printer, so some buttons and menu items are disable!

Step 2 : Enter port set page

There are three method to enter "port set" page

a) Click " Port Set " button

b) Click " Port Set(S) " >> " Set Port F2 " on menu

c) Press shortcut key " F2 "

Click " Port Set " button or select " Port Set(S) " >> " Set Port F2 " on menu and enter the port set page (Shown as below)

Step 3 :Select the printer's name and the port In the combo box, and then configure the printer according to port type of the printer

There are five port setting area: "COM Setting" area, "LPT Setting" area, "USB Setting" area, "Net Setting" and "Driver Setting" area. In "Port Type" combo box ,the ports your printer supported are listed, then you can select the port in "Port Type" combo box and the port's setting area is enabled.

1) When "COM" is selected, the " COM Setting " area is enabled. Please configure " COM Setting " area according to current printer status;

2) When "LPT" is selected, the " LPT Setting " area is enabled. Please select port number in " LPT Setting " area;

3) When "USB" is selected, the " USB Setting " area is enabled. Please select USB port number in " USB Setting " area;

Notices: When use USB port, please ensure that the USB port has connected to computer before enter the configuration interface.

4) When "Ethernet" is selected, the "Net Setting" area is enabled. There are two methods to obtain IP address for the printer;

i ) Click " Set IP " button and input IP address of the printer;

ii) Click " Auto Get IP " button, the software will search network printer in local area network and list the IP address of them in combo box, then select the right printer in the IP address list;

5) When "Driver" is selected, the "Driver Selecting" area is enabled. Please select the driver name in combo box.

Notices :For printers with a serial port or a lpt port, you may open port failed if a printer driver with the same port has been installed in your computer!

Step 4 : Click " OK " button to open the port

1) If open port successful, the software close port set page and return to main page, then configure usability of button and menu according to the current printer and the port type (shown as below):

Notices: if your printer supported code page, the " Code Pages " button is only available when serial port or USB port is selected.

2) If open port failed, the software will shows an error message (as below) and return to "port set" page

Notices : If use USB port please install USB port driver with administrator user account first.


Logo Print

Logo print can process 24-bytes color image, monochrome bitmap and gray bitmap(only for BTP-R880NP), it has four kind of image process as fellows:

1) Four method to convert color image to monochrome bitmap or gray bitmap.

2) Adjust brightness of color image

3) Adjust contrast of color image

4) Adjust size of color image: double width, double height, quadruple

Notices : Before the operation, please ensure had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to "Port set" page.

This operation include five steps as follows : Enter logo print page; open file; select to download to RAM or Flash; image process; download to printer; select bitmap in the dialog box ; print.

Note: There is space limit for Logo downloading. If the total size of all selected logos is beyond the limit, some logos can not be downloaded successfully.

Space limit depends on the printer configuration and please refer to the printer self-test page "FLASH: LOGOS/FONTS" for maximum available space.

Step 1 : Enter logo print page

There are three method to enter "Logo Print" page

a) Click " Logo " button

b) Click " Logo(L) " >> " Logo Download F3 " on menu

c) Press shortcut key " F3 "

Step 2 : Click "Open Files" button and Select bitmap files in "Open Files" dialog

1) Click " Open " button and enter the open files dialog box.

Notices:

a. If the current printer you selected is thermal printer, the default directory of the logos is "Thermal"; if the current printer you selected is impact printer, the default directory of the logos is "Impact".

b. The maximal logo size of the printer is:

Printer | Max Width (dots) | Max Height (dots)
BTP-2001CP | 1024 | 768
BTP-2002CP | 1024 | 768
BTP-2002NP | 1024 | 768
BTP-R880NP | 1024 | 768
BTP-98NP | 1024 | 768
BTP-M170 | 420 | 768
BTP-M270 | 420 | 768
BTP-M180 | ------ | ------
BTP-M280 | 1023 | 288
BTP-M2000G | ------ | ------
BTP-R350 | 1024 | 768
BTP-R358 | 1024 | 768
BTP-R380 | 1024 | 768
BTP-N58 | 1024 | 768
BTP-R580 | 640 | 768
BTP-L580 | 640 | 768

2) Enter the folder of the file and select one or more bitmap files, Click "Open" button, the selected files will be added to the list of " Logo Select and Preview " (show as below)

Notices :

a. If you want to delete all the opened bitmap files, please click " Remove All " button;

b. If you want to delete selected bitmap files, please select files first, then click " Remove Sel " button;

c. If you want to see bitmap,please select the bitmap in list view box and then image will show at right side;

d. If the bitmap file is extend the printer memory, the software will ignore the file. In the list view box, you will see the rightful files.

e. If you want to clear all logos in printer's flash memory, please click "Clear Logo" button.

Step 3 : Image process

Printer only can print monochrome bitmap, so if use a color image , program need to convert it to monochrome bitmap.

There are two method for color image process: auto mode and senior manual mode. Default mode is to convert the color image to monochrome bitmap. The step of senior manual mode is as follows:

1) Select the colour image to be download in the list box and the colour image adjusting area is enabled, you can select multiple lines with the shift key;

2) Select " Tansformation " radio button in " Preview " area at left bottom corner of the form;

3) There are four methods to convert color image to monochrome bitmap in " HalfTone " area, please select one of them and monochrome bitmap which converted from color image will shows at upper right corner.

4) Adjust the brightness and contract of the image in " Contrast and Brightness " area.

Notices: if the file you selected in list box is color bitmap, the "HalfTone" is enabled.

Step 4 : Download bitmap to printer

1) Select memory type:

a. If want download bitmap to RAM, please select RAM in " Memory " area;

b. If want download bitmap to Flash, please select Flash in " Memory " area.

2) Click " Download Logo " button to download bitmap:

While downloading files, the below form is shown:

If the software write port failed, the software will show you a message box:

If the software downloading files successful, the downloading files form will be closed and the printer will formfeed.

Step 5 : Print logo

1) Select files to be printed in list view box;

2) Select multiple of the size to print in " Printing Size " area;

3) Click " Print Logo " button to print the bitmap you have selected.

Notices : If no file is selected, the printer will print nothing and there will be a message as below


User guide of the Printer Utilit

Sample Print

The function of this part include: print sample in print program, print data stored in files, set cut mode (If there is a cutter).

This operation include there steps as follows: enter sample print page, select cut mode and herald, print from file, click button to print the sample.

Notices: Before the operation, please ensure had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1 : Enter sample print page

There are three method to enter "Sample Print" page

a) Click " Samples " button

b) Click " Demo (E) " >> " Print Samples F4 " on menu

c) Press shortcut key " F4 "

Notices:

1) "Cut mode" area is enabled if there is a cutter in printer, then you can select cut mode: full cut, partial cut, no cut; If you print a RightSideUp sample, you should set the "Cut Mode" to "Full Cut" or "Partial Cut".

2) Herald is enabled if there is an Alarm connected to printer and you can select it.

3) How to config the Water Mark parameters:

If the Printer support the Water Mark function, you should check the Water Mark box.

If you have checked the Water Mark box , the "Config" button will be enabled and click it to config the Water Mark parameters.

Printing Mode: Change the Water Mark printing mode. If you select "Printing" the printer will print the Water Mark when printing, else the printer will always print the Water Mark.
Align: Change the Water Mark aligning mode, left sides, right sides, or centered.
Size of Width: Set the width of the Water Mark. You could set the width from one time to six times.
Size of Height: Set the height of the Water Mark. You could set the height from one time to six times.
Printing Logo: Select the logo in the flash of the printer as the Water Mark logo. If there are no logos in the flash, the printer will not print the Wark Mark.
Brightness: Set the brightness(0-255) of the Water Mark.

Step 2 : Print "Predefined" samples

1) Select cut mode;

2) Select Herald mode;

3) Select "Print Sample ID" if you want the printer print sample number before the sample;

4) Select the items in list view box and you can select multiple lines with the shift key;

5) Click "Print samples" and then the printer will print the samples you selected;

Step 3 : Print "User defined" sample

1) Click " User defined " page enter the page (shown as below)

2) Click "Open Files" to enter open files dialog, select and open the sample files (The filter of file is *.prn):

3) Select the items in list view box; if you want to print sample ID please check "Print Sample ID"; click "Print Samples" button and the printer will show "Downloading files form" and print your sample;

Notices: if write port failed, the software will show a message:


Firmware Download

The main function of this part include: select file's type, select file, download file to printer. In this page, user can download types of file to printer as follows:

1. Firmware (*.JK)

2. Character set file (*.ZK)

3. Font files (*.FNT)

4. Eeprom configuration files (*.EEP)

Firmware download include three steps as follows: Enter firmware download page; select file type and open the file; click "Download" button to download.

Notices : Before the operation, please ensure that you have set port parameter correctly and connected to the printer, otherwise the operation is forbidden. Set port please refer to "Port set" page.

Step 1 : Enter firmware download page

There are three method to enter "Firmware Download" page

a) Click "FW Download" button

b) Click "Tools (T)" >> " Firmware Download F5" on menu

c) Press shortcut key "F5"

Step 2 : Select file type and open the file

1) Select the file's filter In "Select File Type" area;

2) Click "Open" button to open the file (shown as below)

Notices: after open file successful, the "Download" button is enabled.

Step 3 : Download file

Click the "Download" button and the printer will show "Downloading files" form

Notices: if write port failed, the software will show a message:


User guide of the Printer Utilit

Status Monitor

The main function of this part is get current status of printer.

Status Monitor include three steps as follows: Start to monitor the status of printer; Stop to monitor the status of printer; Exit Status Monitor interface.

Notices: Before the operation, please ensure had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1: Enter Status Monitor page

There are three methods to enter "Status Monitor" page

a) Click "Status Monitor" button

b) Click "Tools -> Status Monitor F12" on menu

c) Press shortcut key "F12"

Step 2: Monitor the status of printer

Click "Start" button to start to monitor the status of printer . (click "Stop" button to stop to monitor the status of printer).
you will see the following program windows. (if you have previous built the communication between printer and PC successfully)

Cash Drawer Open: when the light is in [image] state, it detects the printer's Cash Drawer is not open, but when the light's state changes to [image], it detects the printer's Cash Drawer is open.

Offline: when the light is in [image] state, it detects the printer is online, but when the light's state changes to [image], it detects the printer is offline.

Door Open: when the light is in [image] state, it detects the printer's door is not open, but when the light's state changes to [image], it detects the printer's door is open.

Feeding: when the light is in [image] state, it detects the printer's Feed button is not pressed, but when the light's state changes to [image], it detects the printer's Feed button is pressed.

Paper Near End: when the light is in [image] state, it detects the printer's paper is not in near end status, but when the light's state changes to [image], it detects the printer's paper is near end.

Paper End: when the light is in [image] state, it detects the printer's paper is not end, but when the light's state changes to [image], it detects the printer has no paper.

Cutter Error: when the light is in [image] state, it detects there is not cutter error, but when the light's state changes to [image], it detects the printer has cutter error.


Port Setting

User Command

The function of this part include: Input area, Receive area, Notice area and Command area.

Notices: Before the operation, please ensure had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1: Enter User Command page

There are three methods to enter "User Command" page

a) Click "User Command" button

b) Click "Tools -> User Command F11" on menu

c) Press shortcut key "F11"

Send Command:
You can input commands in the edit area. You also can click button "Open File" to select a file to be printed to the printer.
Click "Save File" to save the commands that you have edited to a file.
Receive Data:
Click "Display" button to receive the data returned by the printer (You need not click this button if the current port is the USB port).
Command:
Click the buttons to control the printer.
Notice:
Display whether your command have been sent successfully.
Print File:
Click button "Select File" to select a file to be printed to the printer, then click "Print File" to download your selected file to the printer.
You can input print times in the "Print Times" area and Counter area will show you a counter of print.


Character Print

The font pattern's creating and printing

The functions of this part include : create the font pattern, select download area, check the status of printer download area, download font pattern to printer, print created font pattern.

Notices : 1. Before the operation, please ensure had set port parameter correctly and had connected to the serial/USB port printer or Ethernet port printer (only for BTP-2002NP ). Otherwise the operation is forbidden. Port set please refers to " Port set " page.

2. The guide of the User-defined font is same as the Code Page. The User-defined font function supports BTP-2002NP with the firmware FV5.060 or higher.

Select the Character Type before entering code page/user-defined font as follows.

This operation include six steps as follows : Enter code page, create font file, open font file, create font pattern, check the status of download area, select download area, download, print.

Step 1 : Enter code page

There are three method to enter "Code Page Print " page

a) Click "Code Pages" button

b) Click "Tools(T)" >> "Code Pages F6" on menu

c) Press shortcut key "F6"

Step 2 : Create font file

Click "New File" button, enter "Save dialog" to create font file (shows as below):

1) Select file path to saved to;

2) Name the file;

3) Select "File type" :12*24 or 9*17;

4) Click "Save" button to save the file;

Notices : If the font file edited exist already, please overleap this step and enter step 3 directly.

Step 3 : Select and open font file

1) Click "Open File" button, enter "Open" dialog to open font file (show as below):

2) Select the file to be opened, click "Open" button (here take a *.12X24 file as example), then you will see:

3) Grid part (size is 16 * 8) on the left is character showing area, every grid shows a character. You can select one character and you will see the character in big size on the right rectangular area (show as below):

4) You can cerate new pattern on the right rectangular area with Mouse.

Notices :you can mark font pattern by left button of mouse and you can erase font pattern by right button
of mouse. And you can Cut function, Copy function, Paste function and Clear function when you
specify the Range Tool by the speed button as follows.
1. Specify the copy area.
2. Use Copy function.
3. Move the active windows to edit window.
4. Push the "Paste" button on tool bar.

Please click "Save To File" button to save the character after finished a character.

Step 4 : Select download area

1) Select character download area in printer with "Code Page ID" and "Download Area ID";

Notice: For partial printers with a new firmware, the parameter 'Download Area ID' will be ignored when you download a codepage!

2) You can check the download area status by click "Download Area Status" button, and the status will showed on the lower left corner.

The status indicate :

a. The first page in first area stores a code page whose character size is 12*24;

b. The other areas are idle.

Notices : You can delete all the content of the print's by click "Clear All Code Pages" button.

Step 5 : Click "Download To Printer" button to download

In downloading process, the mouse is in busy status. The guage above "Download To Printer" button shows the download status. After finished, the printer will make a feed action and the mouse comeback to idle status.

Notices: Some Printers have not opened this function and the printer begins to print after you clicked download button, then please click the "Enable Code Pages Function" menu item to have the function.

Step 6 : Click "Print" button to print code page character

Notice: For partial printers with an older firmware, if the printer has two codepages with the same Font Type and Code Type ID, you could only print the one that in the high Download Area!


Firmware download

Eeprom Set

The main function of this part is set relative parameters in Eeprom of the printer.

Eeprom set include three steps as follows: Enter eeprom set page; configure settings of the printer; save settings of the printer.

Notices : Before the operation, please ensure that you have set port parameter correctly and connected to the printer, otherwise the operation is forbidden. Set port please refer to "Port set" page.

Step 1 : Enter eeprom set page

There are three methods to enter "Eeprom Set" page

a) Click "Eeprom Set" button

b) Click "Tools (T)" >> " Eeprom Set F9" on menu

c) Press shortcut key "F9"

Notices: There's a password before use the Eeprom set function, please contact the dealer to get it.

Step 2 : configure settings of the printer

There are two methods to configure settings of the printer.

1) Click "Get Settings From Printer" button to get the printer's current setting, configure the setting you want.

2) Click "Import Settings From File..." button to import the printer settings file.

Notices: You can also extern the Eeprom settings to file with suffix "pes", using the "Export Settings From File..." button.

Step 3 : save settings of the printer

Click the "Save Settings To Printer" button to save the settings to printer.

Notices: It will take a long time to set the Eeprom settings to the printer, please don't operate the printer until the printer feeds paper.


User guide of the Printer Utilit

NetWinConfig

The function of this part is used to config the net interface card. For more information, please refer to the help file in the current directory of "Printer Utility Vx.xx\BYNetWinConfig\BYNetWinConfig Guide_E.chm".


Function list of the Printer Utility:

Port Set

Logo Print

Sample Print

Firmware Download

User Command

Character Print

Eeprom Set

NetWinConfig